// Time-stamp: <2002-07-09 13:30:26 zaykin> [written by Dmitri Zaykin]
// Compilation: g++ cntcols.cpp -o cntcols.x std/std.a -O3 -Wall

#include "std/stl_hdrs.h"
#include <string>

int GetNumWords(const string& tok, const char *cset = " \t")
{
    int w=0;
    const string sep = cset;
    int n = tok.length();
    int start=tok.find_first_not_of(sep), stop;
    while (start >= 0 && start < n) {
        stop = tok.find_first_of(sep, start);
        if (stop < 0 || stop > n) stop = n;
        ++w;
        start = tok.find_first_not_of(sep, stop+1);
    }
    return w;
}

int main()
{
    string buf;
    getline(cin, buf);
    cout << GetNumWords(buf, " \t\r") << '\n';
}
